Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface UnionDefOperations

All Superinterfaces:
  ContainedOperations, ContainerOperations, IDLTypeOperations, IRObjectOperations, TypedefDefOperations

All Known Subinterfaces:
  UnionDef

All Known Implementing Classes:
  UnionDefPOA

public interface UnionDefOperations
extends TypedefDefOperations, ContainerOperations

A UnionDef represents an OMG IDL union definition.

Method Summary
`IDLType` | `discriminator_type_def()` The discriminator_type_def attribute identify the union’s discriminator type.
`void` | `discriminator_type_def(IDLType value)` The discriminator_type_def attribute identify the union’s discriminator type.
`TypeCode` | `discriminator_type()` The discriminator_type attribute describe the union’s discriminator type.
`UnionMember[]` | `members()` The members attribute contains a description of each union member.
`void` | `members(UnionMember[] value)` The members attribute contains a description of each union member.

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Methods inherited from interface org.omg.CORBA.IDLTypeOperations
`type`

Methods inherited from interface org.omg.CORBA.ContainerOperations
`contents, create_abstract_interface, create_alias, create_constant, create_enum, create_exception, create_interface, create_local_interface, create_module, create_native, create_struct, create_union, create_value_box, create_value, describe_contents, lookup_name, lookup`

Method Detail

### discriminator_type

    public TypeCode discriminator_type()

  The discriminator_type attribute describe the union’s discriminator type.

### discriminator_type_def

    public IDLType discriminator_type_def()

  The discriminator_type_def attribute identify the union’s discriminator type.

### discriminator_type_def

    public void discriminator_type_def(IDLType value)

  The discriminator_type_def attribute identify the union’s discriminator type.

### members

    public UnionMember[] members()

  The members attribute contains a description of each union member. The label of each UnionMemberDescription is a distinct value of the discriminator_type. Adjacent members can have the same name. Members with the same name must also have the same type. A label with type octet and value 0 indicates the default union member.

### members

    public void members(UnionMember[] value)

  The members attribute contains a description of each union member. The label of each UnionMemberDescription is a distinct value of the discriminator_type. Adjacent members can have the same name. Members with the same name must also have the same type. A label with type octet and value 0 indicates the default union member.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD